%define upstream_name    Data-Integer
%define upstream_version 0.007

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Details of the native integer data type
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(constant)
BuildRequires: perl(integer)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module is about the native integer numerical data type. A native
integer is one of the types of datum that can appear in the numeric part of
a Perl scalar. This module supplies constants describing the native integer
type.

There are actually two native integer representations: signed and unsigned.
Both are handled by this module.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Tue Jul 08 2025 umeabot <umeabot> 0.7.0-2.mga10
+ Revision: 2251998
- Mageia 10 Mass Rebuild

* Tue Apr 22 2025 tv <tv> 0.7.0-1.mga10
+ Revision: 2178084
- update to 0.007

* Sun Mar 20 2022 umeabot <umeabot> 0.6.0-5.mga9
+ Revision: 1808691
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.6.0-4.mga8
+ Revision: 1503719
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.6.0-3.mga7
+ Revision: 1282628
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.6.0-2.mga7
+ Revision: 1163782
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 0.6.0-1.mga7
+ Revision: 1159807
- new release

* Sat Jun 18 2016 pterjan <pterjan> 0.5.0-3.mga6
+ Revision: 1024812
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.5.0-2.mga6
+ Revision: 967454
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 sander85 <sander85> 0.5.0-1.mga6
+ Revision: 849071
- update to 0.005

* Wed Oct 15 2014 umeabot <umeabot> 0.4.0-5.mga5
+ Revision: 741321
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.0-4.mga5
+ Revision: 684209
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.4.0-3.mga4
+ Revision: 510615
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.4.0-2.mga3
+ Revision: 365380
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 jquelin <jquelin> 0.4.0-1.mga1
+ Revision: 22287
- cleaning spec file
- imported package perl-Data-Integer

